/v1/contacts

Create or update Contacts in Apptoto.

To update existing contacts, be sure to provide either an external_id or id, otherwise a new contact will be created. For the contact properties, this API acts like a patch... meaning that only the contact fields you specify will be updated.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Create or update contacts in Apptoto.

To update existing contacts, be sure to provide either an external_id or id, otherwise a new contact will be created. For the contact properties, this API acts like a patch... meaning that only the events fields you specify will be updated.

However, if you provide a value for the "phone_numbers", "email_addresses", or "custom_data" field, then provide all of the data. Meaning, it does not act as a patch for custom_data or individual endpoints.

Also, please note that we do not support moving a contact from one address book to another.

The PUT Request BODY should look like the following:

{
  "contacts": [
    CONTACTS TO CREATE OR UPDATE
  ]
}

Each Contact object should have the following properties:

FieldTypeDescription
idIntegerThe unique identifier of the contact to be updated.
external_idStringThe "external_id" provided by you when you created the contact through the API. Or it could also be the "external_id" on the source address book. For example the Google Address Book's id.
address_book_idIntegerThe id of the address book to scope the external_id to.
nameString
(Required)

The full name of the contact. E.g. Fred Smith

NOTE: you can provide either "name" or you can provide "first_name" and "last_name". "name" will take precedence.

first_nameString
(Required)
The first name of the contact.
E.g. Fred
last_nameString
(Required)
The last name of the contact.
E.g. Fred
add_phoneStringA new phone number for the contact . E.g. 650-555-1212.
add_emailStringAn email address for the contact. E.g. [email protected] .
phone_numbersArrayAn array of phone numbers to add to the contact. See below for phone number fields
email_addressesArrayAn array of email addresses to add to the contact. See below for the email address fields.
external_idStringAn optional unique identifier (should be unique across all calendars in user's account). Can be used to fetch updates and update events.

Each Phone number object should include the following properties

FieldTypeDescription
numberStringThe number of the contact. E.g. 650-555-1212
is_mobileBooleanSets the phone type as "mobile" for the address book specified.
typeStringThe type of the phone number to be added. Each address book type has a different set of phone types. List of phone types can be fetched from the /v1/address_books endpoint.
is_primaryBooleanTrue if this should be the primary phone number to use when sending email to this contact.

Each email address object should include the following properties

FieldTypeDescription
addressStringThe email address of the contact. E.g. [email protected]
typeStringThe type of email address. Each address book type has a different set of phone types. List of email address types can be fetched from the /v1/address_books endpoint.
is_primaryBooleanTrue if this should be the primary email address to use when sending email to this contact.

Example Result:

{ 
  contacts: [ CONTACTS CREATED ]
}

OAuth scope

Calls authenticated with an OAuth 2.0 bearer token must include the contacts:write scope. A token without it receives a 403 insufficient_scope response. HTTP Basic auth is not scope-gated.

Form Data
contacts
array
required

Array of events to add

contacts*
Language
Credentials
:
LoadingLoading…
Response
Click Try It! to start a request and see the response here!